Page MenuHomePhabricator

Migrate .*testextension-zend jobs to labs slaves
Closed, ResolvedPublic

Description

[14:21:43] <legoktm> hashar: is there a reason zend extension jobs are pinned to production slaves and not labs?
[14:22:08] <hashar> yeah terrible slowness iirc
[14:22:29] <hashar> and labs instance are/were missing  the tmpfs to speed up sqlite
[14:23:21] <hashar> should be good now :)
[14:23:41] <hashar> maybe migrate a small extension to labs and see what happens?
[14:23:51] <hashar> then a high traffic extension and finally the rest
[14:23:58] <hashar> legoktm: it should be all possible nowadays :)

Details

Related Gerrit Patches:

Event Timeline

Legoktm created this task.Mar 18 2015, 9:44 PM
Legoktm raised the priority of this task from to Normal.
Legoktm updated the task description. (Show Details)
Legoktm added subscribers: hashar, Aklapper, Legoktm.

Change 198770 had a related patch set uploaded (by Krinkle):
Move mwext-*-testextension-zend to UbuntuPrecise slaves in labs

https://gerrit.wikimedia.org/r/198770

Krinkle claimed this task.Mar 23 2015, 6:28 PM
Krinkle set Security to None.

This is now deployed. Here's a testextensions-zend job running in labs:
https://integration.wikimedia.org/ci/job/mwext-Cite-testextension-zend/24/console

Change 198770 merged by jenkins-bot:
Move mwext-*-testextension-zend to UbuntuPrecise slaves in labs

https://gerrit.wikimedia.org/r/198770

Krinkle closed this task as Resolved.Mar 25 2015, 1:12 AM
Krinkle removed a project: Patch-For-Review.
Krinkle moved this task from Next to Done on the Continuous-Integration-Infrastructure board.
Krinkle removed a subscriber: gerritbot.